[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# DefaultTProcess

Default process class to use

## Declaration

Source position: processbody.inc line 189

`var DefaultTProcess: TProcessClass = TPROCESS;`

## Description

DefaultTProcess is the process class used by the RunCommand and RunCommandInDir calls. You can set it to customize the process class to use during these calls. By default the TProcess class is used.

## See also

RunCommand |  | Execute a command in the current working directory
RunCommandInDir |  | Run a command in a specific directory.
TProcess |  | Class to start and control other processes.